> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fieldiu.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ask the AI

> Sends a natural language query to the FieldIU AI assistant. Supports multi-turn conversations via chatId.



## OpenAPI

````yaml POST /api/v1/ai-agent/ask
openapi: 3.0.1
info:
  title: Fieldiu Integration API
  description: Internal integration endpoints for Fieldiu.
  version: v1
  contact:
    name: Fieldiu Support
  license:
    name: Proprietary
servers:
  - url: https://integration.fieldiu.online
security:
  - ApiKeyAuth: []
    OrgIdAuth: []
paths:
  /api/v1/ai-agent/ask:
    post:
      tags:
        - AI Agent
      summary: Ask the AI
      description: >-
        Sends a natural language query to the FieldIU AI assistant. Supports
        multi-turn conversations via chatId.
      operationId: askAI
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AIAskModel'
      responses:
        '200':
          description: OK
components:
  schemas:
    AIAskModel:
      type: object
      required:
        - query
        - chatId
        - userId
      properties:
        query:
          type: string
          description: Natural language question to send to the AI
        chatId:
          type: string
          format: uuid
          description: >-
            Conversation thread identifier (UUID). Generate a new UUID to start
            a fresh conversation.
        userId:
          type: string
          format: uuid
          description: UUID of the user sending the query
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Your organization's API key
    OrgIdAuth:
      type: apiKey
      in: header
      name: X-ORG-ID
      description: Your organization's identifier

````